Api referenceArchitecture

Preview Intent Proposal

Reference for Preview Intent Proposal in the Veriom v1 API, including request, response, and authentication details.

POST/v1/workspaces/{workspace_id}/architecture-intent/proposals/preview

Preview Intent Proposal. Returns a typed response and a request ID for operational support.

Authorization

veriom_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/proposals/preview" \  -H "Content-Type: application/json" \  -d '{    "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",    "required_sources": [      "code"    ],    "scope": {      "branch_ref": "string",      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"    },    "source": {      "content": "string",      "format": "calm",      "kind": "calm",      "revision": "string",      "sharing_confirmed": true,      "source_updated_at": "2019-08-24T14:15:22Z",      "transport": "upload",      "uri": "string"    },    "title": "string"  }'
{
  "changes": [
    {
      "action": "added",
      "collection": "elements",
      "key": "string",
      "summary": "string"
    }
  ],
  "document": {
    "closed_scope": false,
    "decisions": [
      {
        "accepted_tradeoff": "",
        "conditions": [
          {
            "id": "string",
            "predicates": [
              {
                "allowed_source_keys": [
                  "string"
                ],
                "attribute": "string",
                "expected": "string",
                "key": "string",
                "kind": "entity_present",
                "relationship_kinds": [
                  "string"
                ],
                "required_sources": [
                  "code"
                ]
              }
            ],
            "title": "string"
          }
        ],
        "decision": "string",
        "expires_at": "2019-08-24T14:15:22Z",
        "guardrails": [
          {
            "id": "string",
            "predicates": [
              {
                "allowed_source_keys": [
                  "string"
                ],
                "attribute": "string",
                "expected": "string",
                "key": "string",
                "kind": "entity_present",
                "relationship_kinds": [
                  "string"
                ],
                "required_sources": [
                  "code"
                ]
              }
            ],
            "title": "string"
          }
        ],
        "id": "string",
        "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",
        "provenance": [
          {
            "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",
            "content_sha256": "string",
            "evidence_ids": [
              "973ab5a6-b373-447d-ab9d-bdb660b35afc"
            ],
            "kind": "editor",
            "observed_at": "2019-08-24T14:15:22Z",
            "source_ref": "string",
            "source_revision": "string"
          }
        ],
        "rationale": "string",
        "review_at": "2019-08-24T14:15:22Z",
        "subject_keys": [
          "string"
        ],
        "supporting_keys": [
          "string"
        ]
      }
    ],
    "elements": [
      {
        "description": "",
        "disposition": "intended",
        "entity_kind": "string",
        "key": "string",
        "kind": "entity",
        "name": "string",
        "origin": "observed",
        "relationship_kind": "string",
        "required_sources": [
          "code"
        ],
        "source_key": "string",
        "target_key": "string"
      }
    ],
    "flows": [
      {
        "description": "string",
        "id": "string",
        "name": "string",
        "requirement_ref": "string",
        "transitions": [
          {
            "description": "string",
            "direction": "source-to-destination",
            "relationship_key": "string",
            "sequence": 0
          }
        ]
      }
    ],
    "invariants": [
      {
        "id": "string",
        "predicates": [
          {
            "allowed_source_keys": [
              "string"
            ],
            "attribute": "string",
            "expected": "string",
            "key": "string",
            "kind": "entity_present",
            "relationship_kinds": [
              "string"
            ],
            "required_sources": [
              "code"
            ]
          }
        ],
        "title": "string"
      }
    ],
    "maximum_age_seconds": 86400,
    "minimum_confidence": 0.7,
    "required_sources": [
      "code"
    ],
    "schema_version": "architecture-intent-v1",
    "scope": {
      "branch_ref": "string",
      "environment": "string",
      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",
      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"
    },
    "title": "string"
  },
  "pattern": {
    "accepted_tradeoff": "",
    "accountable_role": "Workspace architecture owner",
    "applicable_scope": "string",
    "assumptions": [
      "string"
    ],
    "controls": [
      {
        "id": "string",
        "predicates": [
          {
            "allowed_source_keys": [
              "string"
            ],
            "attribute": "string",
            "expected": "string",
            "key": "string",
            "kind": "entity_present",
            "relationship_kinds": [
              "string"
            ],
            "required_sources": [
              "code"
            ]
          }
        ],
        "title": "string"
      }
    ],
    "decision": "string",
    "id": "string",
    "limitations": [
      "string"
    ],
    "published_at": "2026-09-18T12:00:00Z",
    "rationale": "string",
    "required_sources": [
      "code"
    ],
    "review_status": "candidate",
    "slots": [
      {
        "description": "string",
        "entity_kind": "string",
        "id": "string",
        "name": "string"
      }
    ],
    "summary": "string",
    "title": "string",
    "version": "string"
  },
  "preview_sha256": "string",
  "source": {
    "access_policy": "workspace_reviewers",
    "author": "string",
    "branch_ref": "string",
    "captured_at": "2019-08-24T14:15:22Z",
    "commit_sha": "string",
    "content": "string",
    "content_sha256": "string",
    "format": "calm",
    "kind": "string",
    "pull_number": 0,
    "redacted": true,
    "repository_path": "string",
    "retained_content_sha256": "string",
    "revision": "string",
    "source_updated_at": "2019-08-24T14:15:22Z",
    "transport": "upload",
    "uri": "string",
    "verification": "provider_verified"
  },
  "source_key": "string",
  "source_revision": 0,
  "warnings": [
    "string"
  ]
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}

Was this guide useful?

Your response stays in this browser unless you open a GitHub issue.
View source